opencc (1.4.1+ds1-7) unstable; urgency=medium

  * Team upload.
  * debian/tests/: Re-enable autopkgtest (debian/TODO item):
    - debian/tests/control: Restore from control.disabled, with the
      integration test plus new cli-smoke and jieba-plugin tests.
    - debian/tests/CommandLineConvertTest.cpp: Parse testcases.json with
      rapidjson comment/trailing-comma flags like the upstream test,
      read the testcases from the top-level source tree, use the
      installed configurations in /usr/share/opencc, and pass
      --include-tofu-risk-dictionaries as the upstream test does (the
      testcases are written against those conversions).
    - debian/tests/CMakeLists.txt: Add the top-level source tree to the
      include path for src/Common.hpp, and require C++17.
    - debian/tests/integration: Build out-of-tree in AUTOPKGTEST_TMP and
      stop masking test failures (previously "make test || true").
    - debian/tests/cli-smoke: New quick checks of the installed CLI.
    - debian/tests/jieba-plugin: New checks that the Jieba plugin loads
      and the *_jieba.json configurations work.

 -- Frank Lin <debian@linshuang.info>  Wed, 12 Aug 2026 12:30:00 -0700

opencc (1.4.1+ds1-6) unstable; urgency=medium

  * debian/patches/0009-setup.py-Handle-python-binding-instead-of-cmake.patch:
    Stop setting ext.runtime_library_dirs. It baked the build directory
    into the DT_RUNPATH of the python extension; deleting that entry with
    chrpath afterwards still left the build path string behind in .dynstr
    (lintian: file-references-package-build-path). Only -L is needed at
    link time, and the installed extension finds libopencc.so.1.4 through
    the regular linker search path.
  * debian/rules: Drop the now unneeded chrpath call, and set
    LD_LIBRARY_PATH for the pybuild test run so the freshly built
    libopencc is still picked up without an RPATH.
  * debian/control: Drop the chrpath build dependency accordingly.
  * debian/control: Let opencc suggests opencc-jieba package, and let
    opencc-jieba declare Enhances: opencc.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Aug 2026 14:18:45 -0400

opencc (1.4.1+ds1-5) unstable; urgency=medium

  * debian/rules: Build with -DBUILD_OPENCC_JIEBA_PLUGIN=ON to enable the
    Jieba word segmentation plugin, as proposed by upstream.
    (Closes: #1141451)
  * debian/control: Add new binary packages opencc-jieba (arch:any, the
    plugin itself) and opencc-jieba-data (arch:all, the merged Jieba
    dictionary and the *_jieba.json configurations). Upstream proposed a
    single arch:any package, but the dictionary data is architecture-
    independent and is split out for the same reason as the .ocd2 files
    in 1.4.1+ds1-4.
  * debian/opencc-jieba.install, debian/opencc-jieba-data.install:
    New files.
  * debian/libopencc-data.install: List the non-Jieba configurations
    explicitly instead of globbing usr/share/opencc/*.json, which would
    otherwise also match the *_jieba.json files.
  * debian/README.source: New file, documenting why the embedded copy of
    cppjieba cannot currently be replaced with a system library.
  * debian/patches/0012-fix-legacy-dict-detection-on-big-endian.patch:
    Add Applied-Upstream metatdata.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Aug 2026 12:01:45 -0400

opencc (1.4.1+ds1-4) unstable; urgency=medium

  * debian/*.install: Move the architecture-independent .ocd2 files
    from the libopencc arch:any package to libopencc-data arch:all package.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Aug 2026 10:05:58 -0400

opencc (1.4.1+ds1-3) unstable; urgency=medium

  * debian/control: Bump version requirement for marisa in order to
    fix the build reproducibility problem in ocd2 files.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Aug 2026 10:43:10 -0400

opencc (1.4.1+ds1-2) unstable; urgency=medium

  * debian/libopencc1.4.symbols: Reconfirm symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2026 15:04:16 -0400

opencc (1.4.1+ds1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2026 13:42:49 -0400

opencc (1.4.1+ds1-1~exp3) experimental; urgency=medium

  * d/patches: Replace 0012-fix-legacy-dict-detection-on-big-endian.patch
    with the proposed upstream fix from
    https://github.com/BYVoid/OpenCC/pull/1472 (upstream bug #1471).

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Aug 2026 16:18:35 -0400

opencc (1.4.1+ds1-1~exp2) experimental; urgency=medium

  * d/patches: Add 0012-fix-legacy-dict-detection-on-big-endian.patch to
    fix the FTBFS on big-endian architectures (s390x, powerpc, ppc64,
    sparc64, hppa).

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Aug 2026 13:36:34 -0400

opencc (1.4.1+ds1-1~exp1) experimental; urgency=medium

  * debian/control: Bump debhelper compat to v14.
  * debian/copyright: Updated.
  * debian/docs: Rename to libopencc-dev.docs.

  [ Frank Lin ]
  * New upstream release.
  * d/copyright: Stop excluding deps/darts-clone-*/*; upstream darts-
    clone fork now provides validate()/copy_array() used by
    src/DartsDict.cpp, which the separate system darts package (a
    different upstream) does not have.
  * d/rules: Disable USE_SYSTEM_DARTS accordingly; build against the
    now-shipped bundled darts-clone fork.
  * d/control: Drop no-longer-needed Build-Depends on darts.
  * d/patches: Refresh 0003, 0004, 0005, 0009 for the new upstream
    source tree.
  * d/patches: Add 0010-fix-git-version-fallback.patch; upstream
    cmake/GitVersion.cmake falls back to a hardcoded version when no
    .git is present (always true for our source tarball), and the
    fallback was left at 1.4.0 in the 1.4.1 release, causing opencc --
    version to report the wrong version.
  * d/patches: Add 0011-drop-python-cli-entry-point.patch; the pybuild
    install step was overwriting the compiled C++ /usr/bin/opencc with a
    python console_scripts wrapper lacking a python3 dependency.
  * Rename libopencc1.3 to libopencc1.4: upstream bumped
    OPENCC_ABI_VERSION to 1.4 (libopencc.so.1.4), so the binary package,
    .install and .symbols files are renamed to match, with
    Breaks/Replaces on libopencc1.3. The .symbols file is regenerated
    against the built library.
  * d/libopencc1.4.symbols: fix cross-architecture size_t/thunk mangling
    caught by Salsa CI on i386, using native (regex)/(c++) dpkg-
    gensymbols pattern tags.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Aug 2026 14:53:16 -0400

opencc (1.3.1+ds1-3) unstable; urgency=medium

  * d/libopencc1.3.symbols: update use pkgkde-symbolshelper

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 14 Jun 2026 16:37:59 +0800

opencc (1.3.1+ds1-2) unstable; urgency=medium

  * d/libopencc1.3.symbols: use getbuildlog, pkgkde-symbolshelper update

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 14 Jun 2026 11:35:18 +0800

opencc (1.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 1.3.1+ds1
  * d/libopencc1.3.symbols: add symbols in 1.3.1

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 13 Jun 2026 14:18:09 +0800

opencc (1.3.0+ds1-2) unstable; urgency=medium

  * d/control: libopencc1.3 add Breaks Replaces libopencc1.2, Closes: #1134857

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 28 Apr 2026 11:07:38 +0800

opencc (1.3.0+ds1-1) unstable; urgency=medium

  * d/p/0003*.patch: don't fetch remote images
    https://opencc.byvoid.com/img/opencc.png

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 25 Apr 2026 10:20:17 +0800

opencc (1.3.0+ds1-1~exp1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.4 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/clean: add clear OpenCC.egg-info/ build/ .pybuild/
  * d/s/lintian-overrides: update to 1.3 version
  * Rename package due to SONAME bump: libopencc1.2 => libopencc1.3
  * d/p/0001*.patch, Dropped, applied upstream.
  * update d/p/0003*.patch
  * d/copyright: add plugins/jieba/deps/cppjieba/* License: MIT

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 24 Apr 2026 15:23:13 +0800

opencc (1.2.0+ds1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Feb 2026 16:26:21 -0500

opencc (1.2.0+ds1-1~exp2) experimental; urgency=medium

  * debian/libopencc1.2.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Feb 2026 10:17:27 -0500

opencc (1.2.0+ds1-1~exp1) experimental; urgency=medium

  * New upstream version 1.2.0. (CVE-2025-15536)
  * Rename package due to SONAME bump: libopencc1.1 => libopencc1.2.
  * debian/patches/backport: Dropped, merged upstream.
  * debian/patches/0002-Force-build-with-c-17.patch: Dropped, applied
    upstream.
  * debian/patches: Refresh patches.
  * debian/watch: Update to version 5.
  * debian/tests/: Temporarily disable autopkgtest before we can draft
    an updated version that matches opencc 1.2.0+.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 17:29:25 -0500

opencc (1.1.9+ds1-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.3.
  * Build-dep on python3-all-dev instead of python3-dev. (Closes: #1125410)
  * debian/rules: Enable DH_VERBOSE for better debugging.
  * debian/pybuild.testfiles: Added to enable python binding post-build tests.
  * debian/patches/backport/345c9a50ab07018f1b4439776bad78a0d40778ec.patch:
    Add patch from upstream to fix out-of-bounds read issues when handling
    truncated UTF-8 input.
  * debian/patches/0009-setup.py-Handle-python-binding-instead-of-cmake.patch:
    Add patch so that the python3 binding as well as pybind11 usage is handled
    by setup.py, not CMakeLists.txt. This is required to build for all
    supported python3 versions instead of just the default one.
  * debian/rules: Adjust python-related building accordingly.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jan 2026 19:17:36 -0500

opencc (1.1.9+ds1-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.2.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Sep 2025 19:36:20 -0400

opencc (1.1.9+ds1-3~exp1) experimental; urgency=medium

  * Test rebuild against libmarisa 0.3.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Sep 2025 20:07:44 -0400

opencc (1.1.9+ds1-2) unstable; urgency=medium

  * debian/patches/backport/0006-Fix-build-for-gcc-15-934.patch,
    debian/patches/backport/0007-Fix-deprecated-declarations-in-C-17.patch:
    Backport upstream patches to fix FTBFS with GCC 15. (Closes: #1097512)
  * debian/patches/0002-Force-build-with-c-17.patch: Force building with
    c++17 standard to fix FTBFS with the new googletest.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Sep 2025 08:26:01 -0400

opencc (1.1.9+ds1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Aug 2024 14:05:52 -0400

opencc (1.1.9+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-test-dependency python3-pytest.
  * debian/patches/0002: Dropped, merged upstream.
  * debian/libopencc1.1.symbols: Update symbols.
  * debian/rules: Allow python binding post-build test failure for now
    before we find out the correct way to test the python package with
    pytest.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Aug 2024 12:32:59 -0400

opencc (1.1.8+ds1-3) unstable; urgency=medium

  * Upload to unstable. Closes: #1077816
  * debian/control: Move main description to source package section.
  * debian/control: Add new build-dependency pybuild-plugin-pyproject.
  * debian/control: Use dh-sequence-python3.
  * debian/rules: Use pyproject instead of distutils for pybuild.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Aug 2024 19:07:26 -0400

opencc (1.1.8+ds1-2) experimental; urgency=medium

  * Team upload

  [ Shengjing Zhu ]
  * Disable build in setup.py

  [ Felix Yan ]
  * Enable python binding (Closes: #1077816)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 03 Aug 2024 13:38:47 +0800

opencc (1.1.8+ds1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/libopencc1.1.symbols: Reconfirm symbols.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 12:07:48 -0400

opencc (1.1.8+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update information.
  * debian/patches: Refresh patches.
  * debian/control: Use dh-sequence-pkgkde-symbolshelper.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Jul 2024 20:00:37 -0400

opencc (1.1.7+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.7+ds1
  * debian/libopencc-dev.install:
    - Install CMake config modules

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 21 Oct 2023 21:22:49 +0200

opencc (1.1.6+ds1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Add B-D: opencc <cross> for opencc_dict. (Closes: #1051036)

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Sep 2023 12:00:26 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog opencc-jieba-data`.
